Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-1978

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2011-1978
Last Modified 21 Sep 2011 11:31:15
Published 10 Aug 2011 05:55:02
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2011-1978

Summary

Microsoft .NET Framework 2.0 SP2, 3.5.1, and 4 does not properly validate the System.Net.Sockets trust level, which allows remote attackers to obtain sensitive information or trigger arbitrary outbound network traffic via (1) a crafted XAML browser application (aka XBAP), (2) a crafted ASP.NET application, or (3) a crafted .NET Framework application, aka "Socket Restriction Bypass Vulnerability."

Vulnerable Systems

Application

  • Microsoft .net Framework 2.0

  • Microsoft .net Framework 3.5.1

  • Microsoft .net Framework 4.0


References

MS - MS11-069

Related Patches

MS11-069 2567951 2539634 2539635 Security Update for .NET Framework 3.5.1 (All Languages) (Rev 3)

MS11-069 2567951 2539636 Security Update for .NET Framework 4.0 (All Languages)


Last Updated: 27 May 2016 10:56:52